//
//  ELURLItem.h
//  ELKit
//
//  Created by Douglas Welton on 1/23/13.
//
//

#import <Foundation/Foundation.h>

@interface ELURLItem : NSObject
{
	NSURL					*url;
	NSString				*path;
    NSData                  *bookmark;
    NSData                  *secureBookmark;
    BOOL                     valid;
    }

@property (retain)	NSURL						*url;
@property (retain)	NSString					*path;
@property (retain)	NSData                      *bookmark;
@property (retain)	NSData                      *secureBookmark;
@property           BOOL                         valid;

- (id) initWithURL: (NSURL *)newURL;
- (id) initWithCoder: (NSCoder *)coder;
- (void) encodeWithCoder: (NSCoder *)coder ;

- (NSURL *) validatedURL;

@end
